<?
session_name('portal_absa');
session_start();
if(!isset($_SESSION['usuario_p_prov_absa']) || trim($_SESSION['usuario_p_prov_absa']) == "" || trim(strtoupper($_SESSION["URL_PORTAL"]."admin.php")) != trim(strtoupper($_SERVER['HTTP_REFERER']))){
	?><script>window.location.href="<?=$_SESSION["URL_PORTAL"]."index.php"?>"</script><?
	exit;
}
require("../../conexion/conectar.php");
require("../../clases/wsUtil.class.php");
require("../../libs/funciones.php");
include_once("../../config.php");

$conexion = new CONDB();
$conexion->conectar();

$wsUtil = null;

if($PORTAL_TEST == 1){
	$wsUtil = new wsUtil('T');
}else{
	$wsUtil = new wsUtil('P');
}



$status=$_REQUEST['status'];
$rfcemisor=$_REQUEST['rfcemisor'];
$tipodocto=$_REQUEST['tipodocto'];
$serie=$_REQUEST['serie'];
$folio=$_REQUEST['folio'];
$uuid=$_REQUEST['uuid'];
$comentario=$_REQUEST['comentario'];
$fecha=date("Y-m-d H:i:s");
$comentario_completo="[$fecha] ".$_SESSION['usuario_p_prov_absa']." :".$comentario;


		$query="Update recibedoce set comentario_status='$comentario_completo', status='".$_REQUEST["status"]."' where rfcemisor='$rfcemisor' and tipodocto='$tipodocto' and serie='$serie' and folio='$folio' and uuid='$uuid'";

		$rquery=mysqli_query($conexion->CONEXION,$query);

if(mysqli_errno($conexion->CONEXION) != 0){
	?><script>alert('ERROR: No fue posible guardar los cambios, intente nuevamente.');</script><?php exit;
}else{
		if($EJECUTAR_WS_SQLSERVER == 1){
			$query = str_replace("<<UUID>>",$uuid,str_replace("<<STATUS>>",$_REQUEST["status"],$QUERY_ACTUALIZA_STATUS_CFDI));
			$json = $wsUtil->preparaJSON_WS_SQLSERVER($query);
			$responseB64 = $wsUtil->ejecutaWS_SqlServer($wsUtil->Encripta($json));
			if($wsUtil->CODEHTTP != 200){
				?><script>alert('Ocurrio un error al actualizar en la base externa con WS_SqlServer Error -> <?php echo $wsUtil->ERROR_MESSAGE?>');</script><?php exit;
			}else{
				$res = $wsUtil->Encripta($responseB64,1);
				try{
					$resJson = json_decode($res);
					if($resJson->iRS != 0){
						?><script>alert('Ocurrio un error al actualizar en la base externa. Error -> <?php echo $resJson->sError;?>');</script><?php exit;
					}
				}catch(Exception $e){
						?><script>alert('Error al decodificar la respuesta del WS. Error -> <?php echo $e->getMessage();?>');</script><?php exit;
				}
				?><script>alert('Actualice la busqueda para ver el cambio reflejado.');$j_6('#closeModal').click();</script><?php exit;
			}
		}
	}

?>
